CommandProbe (MetaCoretex API)
Keywords: com.securitycentric.metacoretex.interfaces.CommandProbe interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.securitycentric.metacoretex.interfaces
Interface CommandProbe

All Superinterfaces:
  Probe, java.lang.Runnable

All Known Implementing Classes:
  AbstractCommandProbe

public interface CommandProbe
extends Probe

Author:
  visigoth

Method Summary
`java.lang.String` | `getArgs()` Get the arguement string used by the Probe.
`java.lang.String` | `getCommand()` Get the command string used by the probe
`java.lang.String` | `getKbKey()`
`void` | `setArgs(java.lang.String args)` Set the arguements string to be used by the Probe.
`void` | `setCommand(java.lang.String cmd)` Set the command string used by the probe.
`void` | `setKbKey(java.lang.String key)` All tool stdout should be stored as a string in the following KB key.

Methods inherited from interface com.securitycentric.metacoretex.interfaces.Probe
`addDepends, addOption, addProvides, addReport, depends, dumpOptions, getCopyright, getException, getFamily, getHelp, getHost, getName, getOption, getOptionKeys, getProbeId, getReport, getSeverity, getTarget, getTimeout, getVersion, hasSafe, isEnabled, isReportable, kbGet, kbHas, kbPut, probe, probeSafe, provides, replaceOptions, setCopyright, setEnabled, setFamily, setHelp, setName, setProbeId, setReport, setReportable, setSeverity, setTarget, setTimeout, setVersion`

Methods inherited from interface java.lang.Runnable
`run`

Method Detail

### setCommand

    public void setCommand(java.lang.String cmd)

  Set the command string used by the probe.

### getCommand

    public java.lang.String getCommand()

  Get the command string used by the probe

  Returns:
    String cmd

### setArgs

    public void setArgs(java.lang.String args)

  Set the arguements string to be used by the Probe.

### getArgs

    public java.lang.String getArgs()

  Get the arguement string used by the Probe.

  Returns:
    String args

### setKbKey

    public void setKbKey(java.lang.String key)

  All tool stdout should be stored as a string in the following KB key.

### getKbKey

    public java.lang.String getKbKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD